Subject: [Sip] RE: Clarification on Presence Use Case in draft-ietf-sip-gruu-00

From: "George Foti (QC/EMC)" <[email-masked]>
Date: Thu, 8 Jan 2004 07:53:12 -0500

Comments inline
> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Wednesday, January 07, 2004 11:05 PM
> To: George Foti (QC/EMC)
> Cc: [email-masked]
> Subject: Re: Clarification on Presence Use Case in
> draft-ietf-sip-gruu-00
> 
> 
> inline.
> 
> George Foti (QC/EMC) wrote:
> 
> > Hi,
> > 
> > The presence use case (section 4.3) indicates that the GRUU,
> > representing the contact URI in the tuple information included in
> > the presence document, needs to be generated by a presence agent.
> > 
> > I am unclear as to why this needs to be the case.
> > 
> > The UA can publish a GRUU it acquired from a registrar to the
> > presence agent. The registrar will be consulted at call routing to
> > make sure that it gets routed to the proper UA associated with the
> > GRUU.
> > 
> > Did I misunderstand something ?
> 
> It depends on how the composition is done. There may be cases where 
> the PA needs to construct a URI that was no supplied by the UA. In 
> other cases, a published GRUU would suffice. I've clarified. The text 
> now reads:
> 
> It is interesting to note that the GRUU may need to be
> constructed by a presence agent, depending on how the 
> presence document is
> computed by the server.
> 
I like that better.
> 
> 
> I think its probably a good idea for the presence document use cases 
> draft being done in SIMPLE to talk about publishing presence 
> documents 
> with gruus.
> 
It is definitely needed to be added in there.
> -Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip